package com.ruoyi.web.controller.pc;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.TPatientHospitalDoctor;
import com.ruoyi.system.service.ITPatientHospitalDoctorService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2022-08-04
 */
@RestController
@RequestMapping("/pc/patient_h_d")
public class TPatientHospitalDoctorController extends BaseController
{
    @Autowired
    private ITPatientHospitalDoctorService tPatientHospitalDoctorService;

    /**
     * 查询【请填写功能名称】列表
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:list')")
    @GetMapping("/list")
    @Log(title = "查询功能表列表", businessType = BusinessType.OTHER)
    public TableDataInfo list(TPatientHospitalDoctor tPatientHospitalDoctor)
    {
        startPage();
        List<TPatientHospitalDoctor> list = tPatientHospitalDoctorService.selectTPatientHospitalDoctorList(tPatientHospitalDoctor);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:export')")
    @Log(title = "导出功能表列表", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TPatientHospitalDoctor tPatientHospitalDoctor)
    {
        List<TPatientHospitalDoctor> list = tPatientHospitalDoctorService.selectTPatientHospitalDoctorList(tPatientHospitalDoctor);
        ExcelUtil<TPatientHospitalDoctor> util = new ExcelUtil<TPatientHospitalDoctor>(TPatientHospitalDoctor.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:query')")
    @GetMapping(value = "/{id}")
    @Log(title = "获取功能表详细信息", businessType = BusinessType.EXPORT)
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return AjaxResult.success(tPatientHospitalDoctorService.selectTPatientHospitalDoctorById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:add')")
    @Log(title = "新增功能表", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TPatientHospitalDoctor tPatientHospitalDoctor)
    {
        return toAjax(tPatientHospitalDoctorService.insertTPatientHospitalDoctor(tPatientHospitalDoctor));
    }

    /**
     * 修改【请填写功能名称】
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:edit')")
    @Log(title = "修改功能表", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TPatientHospitalDoctor tPatientHospitalDoctor)
    {
        return toAjax(tPatientHospitalDoctorService.updateTPatientHospitalDoctor(tPatientHospitalDoctor));
    }

    /**
     * 删除【请填写功能名称】
     */
    @PreAuthorize("@ss.hasPermi('system:doctor:remove')")
    @Log(title = "删除功能表", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tPatientHospitalDoctorService.deleteTPatientHospitalDoctorByIds(ids));
    }
}
